Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.impl.invocation
Class JBossInterceptorStack

    java.lang.Object
      org.jboss.portal.server.impl.invocation.JBossInterceptorStack

All Implemented Interfaces:
  InterceptorStack

    public class JBossInterceptorStack

extends java.lang.Object
implements InterceptorStack

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`static InterceptorStack` | `EMPTY_STACK` .

Constructor Summary
`JBossInterceptorStack(Interceptor interceptor)`
`JBossInterceptorStack(Interceptor[] interceptors)`

Method Summary
`Interceptor` | `getInterceptor(int index)` Return the interceptor at the specified index.
`int` | `getLength()` Returns the stack length.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_STACK

    public static final InterceptorStack EMPTY_STACK

  .

Constructor Detail

### JBossInterceptorStack

    public JBossInterceptorStack(Interceptor interceptor)

### JBossInterceptorStack

    public JBossInterceptorStack(Interceptor[] interceptors)

Method Detail

### getLength

    public int getLength()

  Description copied from interface: `InterceptorStack`
  Returns the stack length.

  Specified by:
    `getLength` in interface `InterceptorStack`
  Returns:
    the length

### getInterceptor

    public Interceptor getInterceptor(int index)
                               throws java.lang.ArrayIndexOutOfBoundsException

  Description copied from interface: `InterceptorStack`
  Return the interceptor at the specified index.

  Specified by:
    `getInterceptor` in interface `InterceptorStack`
  Parameters:
    `index` - the interceptor index in the stack
  Returns:
    the specified interceptor
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if the index is not valid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD